package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ContractFirstE2Factory
{
    private ContractFirstE2Factory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IContractFirstE2 getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractFirstE2)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("BE631E2D") ,com.kingdee.eas.custom.gggl.IContractFirstE2.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IContractFirstE2 getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractFirstE2)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("BE631E2D") ,com.kingdee.eas.custom.gggl.IContractFirstE2.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IContractFirstE2 getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractFirstE2)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("BE631E2D"));
    }
    public static com.kingdee.eas.custom.gggl.IContractFirstE2 getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractFirstE2)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("BE631E2D"));
    }
}